gtkglextmm: Gdk::GL::WindowExtProxy Class Reference

Main Page | Modules | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Examples

# Gdk::GL::WindowExtProxy Class Reference

`#include <windowext.h>`

List of all members.

## Public Member Functions
Glib::RefPtr< Window > | set_gl_capability (const Glib::RefPtr< const Config > &glconfig, const int *attrib_list=0)
void | unset_gl_capability ()
bool | is_gl_capable () const
Glib::RefPtr< Window > | get_gl_window () const
Glib::RefPtr< Gdk::GL::Drawable > | get_gl_drawable () const
## Friends
WindowExtProxy | ext (const Glib::RefPtr< Gdk::Window > &)
const WindowExtProxy | ext (const Glib::RefPtr< const Gdk::Window > &)

## Member Function Documentation

Glib::RefPtr<Gdk::GL::Drawable> Gdk::GL::WindowExtProxy::get_gl_drawable | ( |  | ) | const

| Returns the Gdk::GL::Drawable held by the Gdk::Window . Returns: The Gdk::GL::Drawable.

Glib::RefPtr<Window> Gdk::GL::WindowExtProxy::get_gl_window | ( |  | ) | const

| Returns the Gdk::GL::Window held by the Gdk::Window . Returns: The Gdk::GL::Window.

bool Gdk::GL::WindowExtProxy::is_gl_capable | ( |  | ) | const

| Returns whether the Gdk::Window is OpenGL-capable. Returns: `true` if the Gdk::Window is OpenGL-capable, `false` otherwise.

Glib::RefPtr<Window> Gdk::GL::WindowExtProxy::set_gl_capability | ( | const Glib::RefPtr< const Config > & | glconfig,
|  | const int * | attrib_list = `0`
| ) |

  | Set the OpenGL-capability to the Gdk::Window. This function creates a new Gdk::GL::Window held by the Gdk::Window. attrib_list is currently unused. This must be set to `0` or empty (first attribute of None). Parameters:
  | glconfig | A Gdk::GL::Config.
  | attrib_list | This must be set to `0` or empty (first attribute of None).
Returns: The Gdk::GL::Window used by the window if it is successful, `0` otherwise.

void Gdk::GL::WindowExtProxy::unset_gl_capability | ( |  | ) |

| Unset the OpenGL-capability of the Gdk::Window. This function destroys the Gdk::GL::Window held by the Gdk::Window.

## Friends And Related Function Documentation

const WindowExtProxy ext | ( | const Glib::RefPtr< const Gdk::Window > & | window | ) | `[friend]`

  | OpenGL extension API wrapper. This is a Gdk::Window wrapper to invoke OpenGL extension function. See Gdk::GL::WindowExtProxy for available functions. Parameters:
  | window | A Gdk::Window.

WindowExtProxy ext | ( | const Glib::RefPtr< Gdk::Window > & | window | ) | `[friend]`

| OpenGL extension API wrapper. This is a Gdk::Window wrapper to invoke OpenGL extension function. See Gdk::GL::WindowExtProxy for available functions. Here is a simple example:
     Glib::RefPtr<Gdk::Window> window = widget.get_window();
     Glib::RefPtr<Gdk::GL::Window> glwindow =
       Gdk::GL::ext(window).set_gl_capability(glconfig);
     std::cout << "OpenGL-capable? "
               << Gdk::GL::ext(window).is_gl_capable()
               << std::endl;
  Parameters:
  | window | A Gdk::Window.

The documentation for this class was generated from the following file:

- gdkmm/gl/windowext.h